### Method

# FwupdPlugin Device set_fwupd_version

since: 2.0.8

#### Declaration [src]

    void
    fu_device_set_fwupd_version (
      FuDevice* self,
      const gchar* fwupd_version
    )

#### Description [src]

Sets the fwupd version that created the emulation.

NOTE: This can only be set on devices with the `FWUPD_DEVICE_FLAG_EMULATED` flag set.

Available since: 2.0.8

#### Parameters

`fwupd_version`

  Type: `const gchar*`

  The version, e.g. `2.0.8`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.